capture

Path Params
string
required
Body Params
merchantTransInfo
object
required

This is the information for merchant to identify this Transaction

Usage Instruction
For each new POST request, including PaymentMethod, Payment, Capture, Cancel, Refund, a new and unique merchantTranInfo shall be assigned for the transaction

transAmount
object
required

This is used to define the amount for the transaction

  • Usage Instruction
  1. Used in POST Payment request, to send the payment transaction amount
  2. Used in POST Capture request, to send the capture amount
  3. Used in POST Refund request, to send the refund transaction amount
  4. Used within object payment, capture or refund in response or notification from Evonet, to specify the corresponding amount of the objects.
  5. Used in POST PaymentMethod, to indicate Currency for this transaction when the store is assigned multiple Currencies in Evonet. If the store is not assigned multiple Currencies, this object will be ignored.
string
length ≤ 300

This filed is used for merchant to provide asynchronous notification endpoint

  • Usage Instruction
  1. Merchant may provide this information in the request message, once it is processed successfully, Evonet will send notification to this endpoint
  2. The format of the webhook must contain http:// or htps://
  3. Field Type: String(300)
string
length ≤ 64

This field is used for merchant to state the reason to initiate the transaction

  • Usage Instruction
  1. It is suggested to send this field in the process of DELETE PaymentMethod, POST Capture, POST Cancel, and POST Refund
  2. For DELETE PaymentMethod request, if merchant needs to remove WeChat Pay token, this field must be presented.
  3. Field Type: String(64)
string
length ≤ 512

This field is used for merchant to state reference information

  • Usage Instruction
  1. If merchant sends this field in the request message, Evonet will echo it back in the response
  2. Field Type: String(512)
Headers
string
required

Sign key assigned by Evonet

string
required

Specify application/json; charset=utf-8, which means the message body of the request and response must be in the JSON format, and the character encoding is UTF-8. It will be echoed back in the response message.

string
required

The time when the message is sent. The format follows ISO 8601, which is YYYY-MMDDThh:mm:ssTZD. For example, 2021-05-26T10:08:25+08:00. It will be echoed back in the response message.

string
required

KeyID is a unique key identifier of up to 36 characters that is generated along with the signature key by Evonet

string

An ID for a merchant to trace every API request. The suggested value is UUID or GUID, such as 2d21a5715c034efb7e0aa383b885fc7a. It is suggested to specify this value with no more than 32 characters in length. Evonet will not validate this value and will echo it back in the response message.

string
required

Fixed value: Key-based

string
length ≤ 64

Request idempotent identity, no more than 64 characters.

Response

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json